<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2023 Workiva-->
<!--r:54dd5b45-bcd1-4ebd-859d-65691e50e16a,g:86800d3b-f29a-41f2-8ee2-42a2c8b59d7c-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.sweetgreen.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS" xlink:type="simple" xlink:href="sg-20230625.xsd#CONDENSEDCONSOLIDATEDBALANCESHEETS"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_9c7ebab4-250e-4bfb-a34a-e236868df5fa" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AssetsCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_AssetsCurrent_9c7ebab4-250e-4bfb-a34a-e236868df5fa" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseRightOfUseAsset_6bcba6c8-e30b-41da-bee2-651f94af939c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseRightOfUseAsset"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_OperatingLeaseRightOfUseAsset_6bcba6c8-e30b-41da-bee2-651f94af939c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_a6cb0aa1-6545-4f26-8509-9a8ec9a24a41" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PropertyPlantAndEquipmentNet"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentNet_a6cb0aa1-6545-4f26-8509-9a8ec9a24a41" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Goodwill_79d9dce4-4308-4666-86a7-c2b7b0837a91" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Goodwill"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_Goodwill_79d9dce4-4308-4666-86a7-c2b7b0837a91" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsNet_c927aa8e-33ce-46c4-b35b-bbd53154e6ac" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsNet"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsNet_c927aa8e-33ce-46c4-b35b-bbd53154e6ac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_LeaseAcquisitionCostsNoncurrent_ebf2cf20-38f1-48fe-bfdb-76dccbc22148" xlink:href="sg-20230625.xsd#sg_LeaseAcquisitionCostsNoncurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_sg_LeaseAcquisitionCostsNoncurrent_ebf2cf20-38f1-48fe-bfdb-76dccbc22148" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_SecurityDeposit_044a1d45-9fb7-452d-8185-30a0a81bb7c4" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_SecurityDeposit"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_SecurityDeposit_044a1d45-9fb7-452d-8185-30a0a81bb7c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetsNoncurrent_43b4a73c-dc25-4dad-a8e3-5fc7a74a2a71" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherAssetsNoncurrent"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_OtherAssetsNoncurrent_43b4a73c-dc25-4dad-a8e3-5fc7a74a2a71" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RestrictedCashNoncurrent_4a23f801-3c1b-478c-bc96-182e344e0835" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RestrictedCashNoncurrent"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_b103894d-d057-4049-9b8f-5dc7fb538b55" xlink:to="loc_us-gaap_RestrictedCashNoncurrent_4a23f801-3c1b-478c-bc96-182e344e0835" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_0cf247f9-70fc-4313-ac69-85a63239fc31" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiabilityCurrent_04c9166a-eb79-4c85-8b58-8d50ce31dce0" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseLiabilityCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_0cf247f9-70fc-4313-ac69-85a63239fc31" xlink:to="loc_us-gaap_OperatingLeaseLiabilityCurrent_04c9166a-eb79-4c85-8b58-8d50ce31dce0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsPayableCurrent_625cee8c-7b8f-4298-9943-bd1fa3bd82dc" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccountsPayableCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_0cf247f9-70fc-4313-ac69-85a63239fc31" xlink:to="loc_us-gaap_AccountsPayableCurrent_625cee8c-7b8f-4298-9943-bd1fa3bd82dc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccruedLiabilitiesCurrent_0e2d08c7-1d63-415f-ae38-74da93a4e464" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccruedLiabilitiesCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_0cf247f9-70fc-4313-ac69-85a63239fc31" xlink:to="loc_us-gaap_AccruedLiabilitiesCurrent_0e2d08c7-1d63-415f-ae38-74da93a4e464" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_abe9ee83-b8c3-4259-8afc-ee5d00c8ec39" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_EmployeeRelatedLiabilitiesCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_0cf247f9-70fc-4313-ac69-85a63239fc31" xlink:to="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_abe9ee83-b8c3-4259-8afc-ee5d00c8ec39" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ContractWithCustomerLiabilityCurrent_9b309a9f-74c7-47bc-b89b-d1abf9ca5961" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ContractWithCustomerLiabilityCurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_0cf247f9-70fc-4313-ac69-85a63239fc31" xlink:to="loc_us-gaap_ContractWithCustomerLiabilityCurrent_9b309a9f-74c7-47bc-b89b-d1abf9ca5961" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_aec5b1bb-9c14-40fe-bbbc-a39f7442d4d9" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AssetsCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_680cc8f2-314d-4bee-9afb-fe77c8224025" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_aec5b1bb-9c14-40fe-bbbc-a39f7442d4d9" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_680cc8f2-314d-4bee-9afb-fe77c8224025" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableNetCurrent_d925bef1-9445-4401-839f-c827e5a88a66" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccountsReceivableNetCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_aec5b1bb-9c14-40fe-bbbc-a39f7442d4d9" xlink:to="loc_us-gaap_AccountsReceivableNetCurrent_d925bef1-9445-4401-839f-c827e5a88a66" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_dc5b6f8d-19ad-4eca-9a71-fd8a824b444c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InventoryNet"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_aec5b1bb-9c14-40fe-bbbc-a39f7442d4d9" xlink:to="loc_us-gaap_InventoryNet_dc5b6f8d-19ad-4eca-9a71-fd8a824b444c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseCurrent_6746e1ef-dcfb-4945-a3a9-de302e3ec913" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PrepaidExpenseCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_aec5b1bb-9c14-40fe-bbbc-a39f7442d4d9" xlink:to="loc_us-gaap_PrepaidExpenseCurrent_6746e1ef-dcfb-4945-a3a9-de302e3ec913" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_LeaseAcquisitionCostsCurrent_e5954c1c-fb90-458a-81d6-acb382fa95a8" xlink:href="sg-20230625.xsd#sg_LeaseAcquisitionCostsCurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_aec5b1bb-9c14-40fe-bbbc-a39f7442d4d9" xlink:to="loc_sg_LeaseAcquisitionCostsCurrent_e5954c1c-fb90-458a-81d6-acb382fa95a8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetsCurrent_053d0965-9e1d-4ebd-9ccc-0ec2b0b5bfdd" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherAssetsCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_aec5b1bb-9c14-40fe-bbbc-a39f7442d4d9" xlink:to="loc_us-gaap_OtherAssetsCurrent_053d0965-9e1d-4ebd-9ccc-0ec2b0b5bfdd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_dd7ab541-c357-424f-9b9f-06c448fef9af" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_ffc7facc-92eb-40df-99c0-46c18070bf8c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_dd7ab541-c357-424f-9b9f-06c448fef9af" xlink:to="loc_us-gaap_LiabilitiesCurrent_ffc7facc-92eb-40df-99c0-46c18070bf8c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_f40be849-a6ab-4e35-9ce4-c2fb96c44e0d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseLiabilityNoncurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_dd7ab541-c357-424f-9b9f-06c448fef9af" xlink:to="loc_us-gaap_OperatingLeaseLiabilityNoncurrent_f40be849-a6ab-4e35-9ce4-c2fb96c44e0d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationContingentConsiderationLiabilityNoncurrent_7a81733b-480d-4b21-a90a-daf222aeab74" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_BusinessCombinationContingentConsiderationLiabilityNoncurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_dd7ab541-c357-424f-9b9f-06c448fef9af" xlink:to="loc_us-gaap_BusinessCombinationContingentConsiderationLiabilityNoncurrent_7a81733b-480d-4b21-a90a-daf222aeab74" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesNoncurrent_865f6802-9f07-4d04-887c-3fbf890109fc" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherLiabilitiesNoncurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_dd7ab541-c357-424f-9b9f-06c448fef9af" xlink:to="loc_us-gaap_OtherLiabilitiesNoncurrent_865f6802-9f07-4d04-887c-3fbf890109fc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_e78902c2-9d90-4fe4-8ddd-e70c9145f235" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_DeferredIncomeTaxLiabilitiesNet"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Liabilities_dd7ab541-c357-424f-9b9f-06c448fef9af" xlink:to="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_e78902c2-9d90-4fe4-8ddd-e70c9145f235" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity_8644ba92-4dcc-4c5a-bdcd-3b956a2ee62e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LiabilitiesAndStockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Liabilities_c25bee22-6d18-4a33-9196-e341c6ba6464" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_Liabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_8644ba92-4dcc-4c5a-bdcd-3b956a2ee62e" xlink:to="loc_us-gaap_Liabilities_c25bee22-6d18-4a33-9196-e341c6ba6464" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommitmentsAndContingencies_ef08a48a-a928-45e6-8f09-bf1f0a1162c4" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CommitmentsAndContingencies"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_8644ba92-4dcc-4c5a-bdcd-3b956a2ee62e" xlink:to="loc_us-gaap_CommitmentsAndContingencies_ef08a48a-a928-45e6-8f09-bf1f0a1162c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_0c1e1dd4-fbc7-47d8-b915-b9af3b261f22" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_StockholdersEquity"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_8644ba92-4dcc-4c5a-bdcd-3b956a2ee62e" xlink:to="loc_us-gaap_StockholdersEquity_0c1e1dd4-fbc7-47d8-b915-b9af3b261f22" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_4b3a6920-2ca1-4116-b0c0-c42700e30f31" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_StockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommonStockValue_39db7a60-522d-4534-8611-5b1e43305a6d" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CommonStockValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_4b3a6920-2ca1-4116-b0c0-c42700e30f31" xlink:to="loc_us-gaap_CommonStockValue_39db7a60-522d-4534-8611-5b1e43305a6d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AdditionalPaidInCapital_abdc70b1-f35e-487a-97ad-29e06384ea5c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AdditionalPaidInCapital"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_4b3a6920-2ca1-4116-b0c0-c42700e30f31" xlink:to="loc_us-gaap_AdditionalPaidInCapital_abdc70b1-f35e-487a-97ad-29e06384ea5c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit_c1209a3f-977b-4d08-b5c6-e5f66ddfa07f" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RetainedEarningsAccumulatedDeficit"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_4b3a6920-2ca1-4116-b0c0-c42700e30f31" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit_c1209a3f-977b-4d08-b5c6-e5f66ddfa07f" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS" xlink:type="simple" xlink:href="sg-20230625.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFOPERATIONS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_b51586c4-a673-4bf3-b0b4-4f0ef7eb5d1e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_3361a5e3-81ca-4d53-9381-051716a41d2e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_b51586c4-a673-4bf3-b0b4-4f0ef7eb5d1e" xlink:to="loc_us-gaap_OperatingIncomeLoss_3361a5e3-81ca-4d53-9381-051716a41d2e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestIncomeOther_79d9a689-e265-481e-92c4-65d7877fe3c2" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InterestIncomeOther"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_b51586c4-a673-4bf3-b0b4-4f0ef7eb5d1e" xlink:to="loc_us-gaap_InterestIncomeOther_79d9a689-e265-481e-92c4-65d7877fe3c2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InterestExpense_e0b478de-89fc-4829-a884-8cf33340d559" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_InterestExpense"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_b51586c4-a673-4bf3-b0b4-4f0ef7eb5d1e" xlink:to="loc_us-gaap_InterestExpense_e0b478de-89fc-4829-a884-8cf33340d559" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherNonoperatingIncomeExpense_2cfcc594-def2-4ef0-b532-26c058300dfa" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherNonoperatingIncomeExpense"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_b51586c4-a673-4bf3-b0b4-4f0ef7eb5d1e" xlink:to="loc_us-gaap_OtherNonoperatingIncomeExpense_2cfcc594-def2-4ef0-b532-26c058300dfa" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_f2763380-6d13-4971-84a3-00fc68a2d5cb" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingExpenses"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GeneralAndAdministrativeExpense_73eb10ee-fdeb-49e1-96b3-a996a4713881" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_GeneralAndAdministrativeExpense"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_f2763380-6d13-4971-84a3-00fc68a2d5cb" xlink:to="loc_us-gaap_GeneralAndAdministrativeExpense_73eb10ee-fdeb-49e1-96b3-a996a4713881" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DepreciationDepletionAndAmortization_3b97999d-a29f-4ed7-aa5d-e2276a4c6872" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_DepreciationDepletionAndAmortization"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_f2763380-6d13-4971-84a3-00fc68a2d5cb" xlink:to="loc_us-gaap_DepreciationDepletionAndAmortization_3b97999d-a29f-4ed7-aa5d-e2276a4c6872" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PreOpeningCosts_88c0546c-611e-4d90-adf3-355c760c8d6a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PreOpeningCosts"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_f2763380-6d13-4971-84a3-00fc68a2d5cb" xlink:to="loc_us-gaap_PreOpeningCosts_88c0546c-611e-4d90-adf3-355c760c8d6a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ImpairmentOfLongLivedAssetsHeldForUse_e8c7dec9-a3bb-4545-a085-a8062584f426" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ImpairmentOfLongLivedAssetsHeldForUse"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_f2763380-6d13-4971-84a3-00fc68a2d5cb" xlink:to="loc_us-gaap_ImpairmentOfLongLivedAssetsHeldForUse_e8c7dec9-a3bb-4545-a085-a8062584f426" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GainLossOnSaleOfPropertyPlantEquipment_3f04cea1-f27f-418d-acd0-f7938af12372" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_GainLossOnSaleOfPropertyPlantEquipment"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_f2763380-6d13-4971-84a3-00fc68a2d5cb" xlink:to="loc_us-gaap_GainLossOnSaleOfPropertyPlantEquipment_3f04cea1-f27f-418d-acd0-f7938af12372" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RestructuringCharges_7caa0882-4755-4ee0-8fe4-a9885ba670a7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RestructuringCharges"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_f2763380-6d13-4971-84a3-00fc68a2d5cb" xlink:to="loc_us-gaap_RestructuringCharges_7caa0882-4755-4ee0-8fe4-a9885ba670a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_b06995da-9983-4deb-b379-f13f8bb82bd7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_62c701f5-5ce4-43a8-9d05-b5f6c1f22808" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_b06995da-9983-4deb-b379-f13f8bb82bd7" xlink:to="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_62c701f5-5ce4-43a8-9d05-b5f6c1f22808" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CostOfGoodsAndServiceExcludingDepreciationDepletionAndAmortization_ad3543e3-8aeb-428c-89be-51591b822f9b" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CostOfGoodsAndServiceExcludingDepreciationDepletionAndAmortization"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_b06995da-9983-4deb-b379-f13f8bb82bd7" xlink:to="loc_us-gaap_CostOfGoodsAndServiceExcludingDepreciationDepletionAndAmortization_ad3543e3-8aeb-428c-89be-51591b822f9b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_6c10ebdd-3818-4949-86a8-6cda75491249" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingExpenses"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_b06995da-9983-4deb-b379-f13f8bb82bd7" xlink:to="loc_us-gaap_OperatingExpenses_6c10ebdd-3818-4949-86a8-6cda75491249" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_ec2674ee-a065-4038-aa5e-46ab058e3e95" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_5ee53bd5-7fe3-43ce-b528-2c21d52c328f" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_ec2674ee-a065-4038-aa5e-46ab058e3e95" xlink:to="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest_5ee53bd5-7fe3-43ce-b528-2c21d52c328f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_581fc716-a37c-47ac-a511-e13d03f03388" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncomeTaxExpenseBenefit"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_ec2674ee-a065-4038-aa5e-46ab058e3e95" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_581fc716-a37c-47ac-a511-e13d03f03388" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS" xlink:type="simple" xlink:href="sg-20230625.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_77d227ee-1102-48ca-953e-fe5105bdc4c5" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_NetIncomeLoss_77d227ee-1102-48ca-953e-fe5105bdc4c5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DepreciationDepletionAndAmortization_c1362538-a216-44a0-bbe7-8026f8b3dfd7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_DepreciationDepletionAndAmortization"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_DepreciationDepletionAndAmortization_c1362538-a216-44a0-bbe7-8026f8b3dfd7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseRightOfUseAssetAmortizationExpense_8cc7f927-0a57-49d7-a673-6db1851a0ad5" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseRightOfUseAssetAmortizationExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_OperatingLeaseRightOfUseAssetAmortizationExpense_8cc7f927-0a57-49d7-a673-6db1851a0ad5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AmortizationOfFinancingCostsAndDiscounts_112f7a98-788a-48ab-b31f-971d4b084e07" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AmortizationOfFinancingCostsAndDiscounts"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_AmortizationOfFinancingCostsAndDiscounts_112f7a98-788a-48ab-b31f-971d4b084e07" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AmortizationOfIntangibleAssets_1511fb55-700f-42c4-ae26-49c170da9cec" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AmortizationOfIntangibleAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_AmortizationOfIntangibleAssets_1511fb55-700f-42c4-ae26-49c170da9cec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseCost_694299bc-6189-43fb-9580-f6a123b66d13" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseCost"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_OperatingLeaseCost_694299bc-6189-43fb-9580-f6a123b66d13" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GainLossOnSaleOfPropertyPlantEquipment_4df5ece5-c0a8-44ae-a945-296c483a85d1" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_GainLossOnSaleOfPropertyPlantEquipment"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_GainLossOnSaleOfPropertyPlantEquipment_4df5ece5-c0a8-44ae-a945-296c483a85d1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ShareBasedCompensation_a2450295-3cd7-4ca4-a7fd-3ce4e0ebc957" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ShareBasedCompensation"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_ShareBasedCompensation_a2450295-3cd7-4ca4-a7fd-3ce4e0ebc957" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_ImpairmentLongLivedAssetHeldForUseNoncashExpense_b648d742-c792-4d3d-8faa-3bc4bfbd781c" xlink:href="sg-20230625.xsd#sg_ImpairmentLongLivedAssetHeldForUseNoncashExpense"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_sg_ImpairmentLongLivedAssetHeldForUseNoncashExpense_b648d742-c792-4d3d-8faa-3bc4bfbd781c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RestructuringCosts_b81cf25c-fcd5-43eb-82d0-213cfde826cb" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RestructuringCosts"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_RestructuringCosts_b81cf25c-fcd5-43eb-82d0-213cfde826cb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxesAndTaxCredits_b838b670-d6cf-4254-9664-a15b882a2ae8" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_DeferredIncomeTaxesAndTaxCredits"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_DeferredIncomeTaxesAndTaxCredits_b838b670-d6cf-4254-9664-a15b882a2ae8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationContingentConsiderationArrangementsChangeInAmountOfContingentConsiderationLiability1_8539e45a-cb85-45c5-9556-4289a219fe6c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_BusinessCombinationContingentConsiderationArrangementsChangeInAmountOfContingentConsiderationLiability1"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_BusinessCombinationContingentConsiderationArrangementsChangeInAmountOfContingentConsiderationLiability1_8539e45a-cb85-45c5-9556-4289a219fe6c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_101fd5b4-5530-4b32-a552-1ff567cf914a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInAccountsReceivable"/>
    <link:calculationArc order="13" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_101fd5b4-5530-4b32-a552-1ff567cf914a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInInventories_abc380fa-d1e5-4c5e-abaa-24dec445136e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInInventories"/>
    <link:calculationArc order="14" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInInventories_abc380fa-d1e5-4c5e-abaa-24dec445136e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets_838360ec-adaf-482d-9880-7b06e23978f4" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets"/>
    <link:calculationArc order="15" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets_838360ec-adaf-482d-9880-7b06e23978f4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInOperatingLeaseLiability_c915993c-d182-4c87-bb7a-8a661876b268" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInOperatingLeaseLiability"/>
    <link:calculationArc order="16" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInOperatingLeaseLiability_c915993c-d182-4c87-bb7a-8a661876b268" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsPayable_d4cb3f71-60f0-46a8-a192-62eb7021d423" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInAccountsPayable"/>
    <link:calculationArc order="17" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsPayable_d4cb3f71-60f0-46a8-a192-62eb7021d423" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInEmployeeRelatedLiabilities_3edb4bed-05d4-4494-8a25-f3f8d18fb561" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInEmployeeRelatedLiabilities"/>
    <link:calculationArc order="18" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInEmployeeRelatedLiabilities_3edb4bed-05d4-4494-8a25-f3f8d18fb561" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccruedLiabilities_4f9dd81c-b232-4523-8ee1-200464832a2e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInAccruedLiabilities"/>
    <link:calculationArc order="19" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInAccruedLiabilities_4f9dd81c-b232-4523-8ee1-200464832a2e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInContractWithCustomerLiability_121d5f74-def1-474d-9865-460c8f49f9d8" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInContractWithCustomerLiability"/>
    <link:calculationArc order="20" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInContractWithCustomerLiability_121d5f74-def1-474d-9865-460c8f49f9d8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherNoncurrentLiabilities_c6557728-9b7a-4676-8979-82e918b6f03e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_IncreaseDecreaseInOtherNoncurrentLiabilities"/>
    <link:calculationArc order="21" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_439d73f5-561e-4466-a368-9bfe5ec2b7ea" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherNoncurrentLiabilities_c6557728-9b7a-4676-8979-82e918b6f03e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_4666dc1f-23e4-4590-bf53-b92da636f4b6" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromStockOptionsExercised_f67a0b46-97af-48af-8fe8-1285825aa09a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ProceedsFromStockOptionsExercised"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_4666dc1f-23e4-4590-bf53-b92da636f4b6" xlink:to="loc_us-gaap_ProceedsFromStockOptionsExercised_f67a0b46-97af-48af-8fe8-1285825aa09a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsOfStockIssuanceCosts_c093d968-c7c2-45a1-8e6b-bbe3e35a8aa2" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PaymentsOfStockIssuanceCosts"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_4666dc1f-23e4-4590-bf53-b92da636f4b6" xlink:to="loc_us-gaap_PaymentsOfStockIssuanceCosts_c093d968-c7c2-45a1-8e6b-bbe3e35a8aa2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_5756957f-c188-4db3-9848-20bb0588004b" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_7787bdc1-7e38-45a2-b746-d4bebe9e16c9" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_5756957f-c188-4db3-9848-20bb0588004b" xlink:to="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_7787bdc1-7e38-45a2-b746-d4bebe9e16c9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_af573073-01a3-4ac1-841d-ad661844dbc8" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_5756957f-c188-4db3-9848-20bb0588004b" xlink:to="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_af573073-01a3-4ac1-841d-ad661844dbc8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_407c2df6-c0e7-4b32-a04c-f482c54c4705" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_5756957f-c188-4db3-9848-20bb0588004b" xlink:to="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_407c2df6-c0e7-4b32-a04c-f482c54c4705" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_66b1cf14-c385-4cc1-b6ad-0b38c2ed1d55" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_894fabb3-e97a-45b6-96f8-1307270bdc68" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_66b1cf14-c385-4cc1-b6ad-0b38c2ed1d55" xlink:to="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_894fabb3-e97a-45b6-96f8-1307270bdc68" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquireIntangibleAssets_e7b9bee9-fa0b-48e4-91c0-29427393e013" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PaymentsToAcquireIntangibleAssets"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_66b1cf14-c385-4cc1-b6ad-0b38c2ed1d55" xlink:to="loc_us-gaap_PaymentsToAcquireIntangibleAssets_e7b9bee9-fa0b-48e4-91c0-29427393e013" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_IncreaseDecreaseInSecurityAndLandlordDeposits_b9973f28-a880-4850-990d-65eecb41c8a1" xlink:href="sg-20230625.xsd#sg_IncreaseDecreaseInSecurityAndLandlordDeposits"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_66b1cf14-c385-4cc1-b6ad-0b38c2ed1d55" xlink:to="loc_sg_IncreaseDecreaseInSecurityAndLandlordDeposits_b9973f28-a880-4850-990d-65eecb41c8a1" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/DESCRIPTIONOFBUSINESSANDSUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESReconciliationofCashandCashEquivalentsandRestrictedCashDetails" xlink:type="simple" xlink:href="sg-20230625.xsd#DESCRIPTIONOFBUSINESSANDSUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESReconciliationofCashandCashEquivalentsandRestrictedCashDetails"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/DESCRIPTIONOFBUSINESSANDSUMMARYOFSIGNIFICANTACCOUNTINGPOLICIESReconciliationofCashandCashEquivalentsandRestrictedCashDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_dc7416f6-b733-4fd3-8e80-caa8d69cb46a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_1d33bf9b-e3ab-4039-8d4c-9dda6814194a" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_dc7416f6-b733-4fd3-8e80-caa8d69cb46a" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_1d33bf9b-e3ab-4039-8d4c-9dda6814194a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RestrictedCashNoncurrent_ca58bdc3-95b4-49ca-a219-9b3e37b63ee2" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_RestrictedCashNoncurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_dc7416f6-b733-4fd3-8e80-caa8d69cb46a" xlink:to="loc_us-gaap_RestrictedCashNoncurrent_ca58bdc3-95b4-49ca-a219-9b3e37b63ee2" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/PROPERTYANDEQUIPMENTSummaryofPropertyandEquipmentDetails" xlink:type="simple" xlink:href="sg-20230625.xsd#PROPERTYANDEQUIPMENTSummaryofPropertyandEquipmentDetails"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/PROPERTYANDEQUIPMENTSummaryofPropertyandEquipmentDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_0f8c8432-78fd-4ee8-9ca5-e0d411e9c1c8" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PropertyPlantAndEquipmentNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentGross_52f55126-e69a-402b-a2bc-1a8b32fcb3c5" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_PropertyPlantAndEquipmentGross"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PropertyPlantAndEquipmentNet_0f8c8432-78fd-4ee8-9ca5-e0d411e9c1c8" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentGross_52f55126-e69a-402b-a2bc-1a8b32fcb3c5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment_4c448ed1-5061-4972-b480-5d9bd7d2604e" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_PropertyPlantAndEquipmentNet_0f8c8432-78fd-4ee8-9ca5-e0d411e9c1c8" xlink:to="loc_us-gaap_AccumulatedDepreciationDepletionAndAmortizationPropertyPlantAndEquipment_4c448ed1-5061-4972-b480-5d9bd7d2604e" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/GOODWILLANDINTANGIBLEASSETSNETIntangibleAssetNetDetails" xlink:type="simple" xlink:href="sg-20230625.xsd#GOODWILLANDINTANGIBLEASSETSNETIntangibleAssetNetDetails"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/GOODWILLANDINTANGIBLEASSETSNETIntangibleAssetNetDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsNet_59920f1a-ce3e-450d-8846-348881b993bb" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization_e9374b3b-edc7-4b52-9919-1a46583e4723" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_59920f1a-ce3e-450d-8846-348881b993bb" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAccumulatedAmortization_e9374b3b-edc7-4b52-9919-1a46583e4723" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsGross_fe4324e2-c350-4de8-b0b6-082cbf7a7d1f" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsGross"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_59920f1a-ce3e-450d-8846-348881b993bb" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsGross_fe4324e2-c350-4de8-b0b6-082cbf7a7d1f" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/GOODWILLANDINTANGIBLEASSETSNETEstimatedAmortizationofInternalUseSoftwareDetails" xlink:type="simple" xlink:href="sg-20230625.xsd#GOODWILLANDINTANGIBLEASSETSNETEstimatedAmortizationofInternalUseSoftwareDetails"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/GOODWILLANDINTANGIBLEASSETSNETEstimatedAmortizationofInternalUseSoftwareDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsNet_af3b2930-3bfc-4cca-9bba-1d459e6f0f74" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseRemainderOfFiscalYear_0029a447-63a5-4db5-8df3-b8bfe10f0be7" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseRemainderOfFiscalYear"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_af3b2930-3bfc-4cca-9bba-1d459e6f0f74" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseRemainderOfFiscalYear_0029a447-63a5-4db5-8df3-b8bfe10f0be7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseNextTwelveMonths_f6db9dcb-e25f-4846-bb7d-5d8c41267567" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseNextTwelveMonths"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_af3b2930-3bfc-4cca-9bba-1d459e6f0f74" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseNextTwelveMonths_f6db9dcb-e25f-4846-bb7d-5d8c41267567" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearTwo_44753177-a745-4bb2-8107-194b75efae15" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearTwo"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_af3b2930-3bfc-4cca-9bba-1d459e6f0f74" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearTwo_44753177-a745-4bb2-8107-194b75efae15" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearThree_f4caf20a-f9ae-4899-8747-952fd06d6fb3" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearThree"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_af3b2930-3bfc-4cca-9bba-1d459e6f0f74" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearThree_f4caf20a-f9ae-4899-8747-952fd06d6fb3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearFour_83b67360-318b-42af-813b-d706529ed492" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearFour"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_af3b2930-3bfc-4cca-9bba-1d459e6f0f74" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsAmortizationExpenseYearFour_83b67360-318b-42af-813b-d706529ed492" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_FiniteLivedIntangibleAssetExpectedAmortizationAfterYearFour_015ac0f2-dc0b-4a5c-b46f-2f7f6cdc5143" xlink:href="sg-20230625.xsd#sg_FiniteLivedIntangibleAssetExpectedAmortizationAfterYearFour"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_FiniteLivedIntangibleAssetsNet_af3b2930-3bfc-4cca-9bba-1d459e6f0f74" xlink:to="loc_sg_FiniteLivedIntangibleAssetExpectedAmortizationAfterYearFour_015ac0f2-dc0b-4a5c-b46f-2f7f6cdc5143" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/ACCRUEDEXPENSESDetails" xlink:type="simple" xlink:href="sg-20230625.xsd#ACCRUEDEXPENSESDetails"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/ACCRUEDEXPENSESDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccruedLiabilitiesCurrent_4824e0fe-5b10-4bcd-8b19-70b47c86cd64" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccruedLiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccruedRentCurrent_1f624d42-6c6b-439a-a99d-4055c03b7cd1" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccruedRentCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccruedLiabilitiesCurrent_4824e0fe-5b10-4bcd-8b19-70b47c86cd64" xlink:to="loc_us-gaap_AccruedRentCurrent_1f624d42-6c6b-439a-a99d-4055c03b7cd1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccrualForTaxesOtherThanIncomeTaxesCurrent_13b8b102-3118-4845-87a5-64c09cf1b1e4" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccrualForTaxesOtherThanIncomeTaxesCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccruedLiabilitiesCurrent_4824e0fe-5b10-4bcd-8b19-70b47c86cd64" xlink:to="loc_us-gaap_AccrualForTaxesOtherThanIncomeTaxesCurrent_13b8b102-3118-4845-87a5-64c09cf1b1e4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_AccruedDeliveryFeeCurrent_7e7ed353-7da9-4a10-a9be-c5e8e6fa48a7" xlink:href="sg-20230625.xsd#sg_AccruedDeliveryFeeCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccruedLiabilitiesCurrent_4824e0fe-5b10-4bcd-8b19-70b47c86cd64" xlink:to="loc_sg_AccruedDeliveryFeeCurrent_7e7ed353-7da9-4a10-a9be-c5e8e6fa48a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccruedProfessionalFeesCurrent_ecc929f4-e525-42ad-9e8e-a06a8f7ed9f5" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_AccruedProfessionalFeesCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccruedLiabilitiesCurrent_4824e0fe-5b10-4bcd-8b19-70b47c86cd64" xlink:to="loc_us-gaap_AccruedProfessionalFeesCurrent_ecc929f4-e525-42ad-9e8e-a06a8f7ed9f5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_FixedAssetAccrualCurrent_4b85fde9-6ec0-4999-97cd-78926c83ded6" xlink:href="sg-20230625.xsd#sg_FixedAssetAccrualCurrent"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccruedLiabilitiesCurrent_4824e0fe-5b10-4bcd-8b19-70b47c86cd64" xlink:to="loc_sg_FixedAssetAccrualCurrent_4b85fde9-6ec0-4999-97cd-78926c83ded6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAccruedLiabilitiesCurrent_3c404d7d-e17e-43ed-afa9-44ba8c29c5fa" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OtherAccruedLiabilitiesCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AccruedLiabilitiesCurrent_4824e0fe-5b10-4bcd-8b19-70b47c86cd64" xlink:to="loc_us-gaap_OtherAccruedLiabilitiesCurrent_3c404d7d-e17e-43ed-afa9-44ba8c29c5fa" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/LEASESLeaseCostDetails" xlink:type="simple" xlink:href="sg-20230625.xsd#LEASESLeaseCostDetails"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/LEASESLeaseCostDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LeaseCost_88501f46-e6d2-4b40-af7f-13f57f9287e0" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LeaseCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseCost_5026e717-96ec-4c02-b2c4-ae940a3ea8a4" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseCost"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LeaseCost_88501f46-e6d2-4b40-af7f-13f57f9287e0" xlink:to="loc_us-gaap_OperatingLeaseCost_5026e717-96ec-4c02-b2c4-ae940a3ea8a4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_VariableLeaseCost_db63750c-a531-484c-a051-abf1c85df5e6" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_VariableLeaseCost"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LeaseCost_88501f46-e6d2-4b40-af7f-13f57f9287e0" xlink:to="loc_us-gaap_VariableLeaseCost_db63750c-a531-484c-a051-abf1c85df5e6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ShortTermLeaseCost_e3191ed3-dc71-4046-a40c-ba7c4dad5c41" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_ShortTermLeaseCost"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LeaseCost_88501f46-e6d2-4b40-af7f-13f57f9287e0" xlink:to="loc_us-gaap_ShortTermLeaseCost_e3191ed3-dc71-4046-a40c-ba7c4dad5c41" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_SubleaseIncome_9c1b8e3d-c08c-44e9-ac2c-d3905e0e2843" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_SubleaseIncome"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LeaseCost_88501f46-e6d2-4b40-af7f-13f57f9287e0" xlink:to="loc_us-gaap_SubleaseIncome_9c1b8e3d-c08c-44e9-ac2c-d3905e0e2843" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/LEASESFutureMinimumLeasePaymentsDetails" xlink:type="simple" xlink:href="sg-20230625.xsd#LEASESFutureMinimumLeasePaymentsDetails"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/LEASESFutureMinimumLeasePaymentsDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_8a79d88f-4df6-4b55-97c1-f54efcf854b9" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsRemainderOfFiscalYear_6172cd61-217d-4cac-a9c8-3217e43ba017" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsRemainderOfFiscalYear"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_8a79d88f-4df6-4b55-97c1-f54efcf854b9" xlink:to="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsRemainderOfFiscalYear_6172cd61-217d-4cac-a9c8-3217e43ba017" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextTwelveMonths_2f85dd6d-0975-4b3a-bb26-092136b48908" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextTwelveMonths"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_8a79d88f-4df6-4b55-97c1-f54efcf854b9" xlink:to="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextTwelveMonths_2f85dd6d-0975-4b3a-bb26-092136b48908" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearTwo_43c89fde-fbbe-4ea2-9e88-4e5269164c44" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearTwo"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_8a79d88f-4df6-4b55-97c1-f54efcf854b9" xlink:to="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearTwo_43c89fde-fbbe-4ea2-9e88-4e5269164c44" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearThree_9393d64f-73d1-493d-84ff-4e3fc456e5db" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearThree"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_8a79d88f-4df6-4b55-97c1-f54efcf854b9" xlink:to="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearThree_9393d64f-73d1-493d-84ff-4e3fc456e5db" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearFour_a0ec8635-69f1-4eb0-aea0-bfb7cea31655" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearFour"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_8a79d88f-4df6-4b55-97c1-f54efcf854b9" xlink:to="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueYearFour_a0ec8635-69f1-4eb0-aea0-bfb7cea31655" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_sg_LesseeOperatingLeaseLiabilityToBePaidAfterYearFour_f4ec84ee-1418-4051-8fdd-78b770a9a77c" xlink:href="sg-20230625.xsd#sg_LesseeOperatingLeaseLiabilityToBePaidAfterYearFour"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_8a79d88f-4df6-4b55-97c1-f54efcf854b9" xlink:to="loc_sg_LesseeOperatingLeaseLiabilityToBePaidAfterYearFour_f4ec84ee-1418-4051-8fdd-78b770a9a77c" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.sweetgreen.com/role/LEASESFutureMinimumLeasePaymentsDetails_1" xlink:type="simple" xlink:href="sg-20230625.xsd#LEASESFutureMinimumLeasePaymentsDetails_1"/>
  <link:calculationLink xlink:role="http://www.sweetgreen.com/role/LEASESFutureMinimumLeasePaymentsDetails_1" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_c7b9cd9d-ae0a-44e9-9181-59c2931dce01" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount_42d4d39c-1a8e-4ac3-84c2-749a6bcbb02c" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_c7b9cd9d-ae0a-44e9-9181-59c2931dce01" xlink:to="loc_us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount_42d4d39c-1a8e-4ac3-84c2-749a6bcbb02c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingLeaseLiability_95a7878a-47f8-4efa-9daa-24436e5183a9" xlink:href="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd#us-gaap_OperatingLeaseLiability"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue_c7b9cd9d-ae0a-44e9-9181-59c2931dce01" xlink:to="loc_us-gaap_OperatingLeaseLiability_95a7878a-47f8-4efa-9daa-24436e5183a9" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
